# ifri_mini_ml_lib

ifri_mini_ml_lib is a reimplementation of the scikit-learn Python library from scratch.  
This project is developed by IFRI AI students as part of the Concepts & Applications of Machine Learning course.

## Features

- Implementation of core machine learning algorithms.
- Focus on understanding the inner workings of ML models.
- Lightweight and easy to use.
- Includes implementations for:
  - Classification (Decision Trees, KNN, Logistic Regression)
  - Regression (Linear, Polynomial, SVR)
  - Clustering (K-means, DBSCAN, Hierarchical)
  - Association Rules (Apriori, Eclat, FP-Growth)
  - Neural Networks (MLP)
  - Model Selection tools (Cross-validation, Grid Search, etc.)
  - Preprocessing utilities

## Installation

You can install ifri_mini_ml_lib directly from PyPi:

```bash
pip install ifri-mini-ml-lib
```

Alternatively, you can install from source:

```bash
git clone https://github.com/your-username/ifri_mini_ml_lib.git
cd ifri_mini_ml_lib
pip install -e .
```

## Documentation

For detailed documentation on the available modules and classes, please visit our [documentation site](https://your-documentation-site.com).

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the [MIT License](LICENSE).

## Acknowledgments

Thanks to the IFRI AI students and faculty who contributed to this project.
